Index: /extensions/event_cats/admin/autolog_entries.inc.php
===================================================================
--- /extensions/event_cats/admin/autolog_entries.inc.php	(revision 4420)
+++ /extensions/event_cats/admin/autolog_entries.inc.php	(revision 4421)
@@ -35,4 +35,6 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+// Keeps file coded in UTF-8 without BOM : é
 
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
Index: /extensions/event_cats/admin/autolog_new.inc.php
===================================================================
--- /extensions/event_cats/admin/autolog_new.inc.php	(revision 4420)
+++ /extensions/event_cats/admin/autolog_new.inc.php	(revision 4421)
@@ -35,4 +35,6 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+// Keeps file coded in UTF-8 without BOM : é
 
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
Index: /extensions/event_cats/admin/config.inc.php
===================================================================
--- /extensions/event_cats/admin/config.inc.php	(revision 4420)
+++ /extensions/event_cats/admin/config.inc.php	(revision 4421)
@@ -36,4 +36,6 @@
 // +-----------------------------------------------------------------------+
 
+// Keeps file coded in UTF-8 without BOM : é
+
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
Index: /extensions/event_cats/admin/duplication.inc.php
===================================================================
--- /extensions/event_cats/admin/duplication.inc.php	(revision 4420)
+++ /extensions/event_cats/admin/duplication.inc.php	(revision 4421)
@@ -36,4 +36,6 @@
 // +-----------------------------------------------------------------------+
 
+// Keeps file coded in UTF-8 without BOM : é
+
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
Index: /extensions/event_cats/admin/evntcats_admin.php
===================================================================
--- /extensions/event_cats/admin/evntcats_admin.php	(revision 4420)
+++ /extensions/event_cats/admin/evntcats_admin.php	(revision 4421)
@@ -35,4 +35,6 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+// Keeps file coded in UTF-8 without BOM : é
 
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
Index: /extensions/event_cats/admin/evntcats_theme.css
===================================================================
--- /extensions/event_cats/admin/evntcats_theme.css	(revision 4420)
+++ /extensions/event_cats/admin/evntcats_theme.css	(revision 4421)
@@ -1,2 +1,4 @@
+/* Keeps file coded in UTF-8 without BOM : é */
+
 #ec_js_warn {
   text-align:center;
Index: /extensions/event_cats/admin/template/autolog_entries.js
===================================================================
--- /extensions/event_cats/admin/template/autolog_entries.js	(revision 4420)
+++ /extensions/event_cats/admin/template/autolog_entries.js	(revision 4421)
@@ -1,3 +1,5 @@
 /* Event Cats Javascript functions LucMorizur June - ... 2009 */
+
+// Keeps file coded in UTF-8 without BOM : é
 
 var ec_checked_line = -1;
Index: /extensions/event_cats/admin/template/autolog_entries.tpl
===================================================================
--- /extensions/event_cats/admin/template/autolog_entries.tpl	(revision 4420)
+++ /extensions/event_cats/admin/template/autolog_entries.tpl	(revision 4421)
@@ -1,3 +1,5 @@
 {* <!-- Event Cats (event categories) LucMorizur June - ... 2009 --> *}
+
+{* <!-- Keeps file coded in UTF-8 without BOM : é --> *}
 
 {include file='../../../plugins/event_cats/admin/template/header.inc.tpl'}
Index: /extensions/event_cats/admin/template/autolog_new.js
===================================================================
--- /extensions/event_cats/admin/template/autolog_new.js	(revision 4420)
+++ /extensions/event_cats/admin/template/autolog_new.js	(revision 4421)
@@ -1,3 +1,5 @@
 /* Event Cats Javascript functions LucMorizur June - ... 2009 */
+
+// Keeps file coded in UTF-8 without BOM : é
 
 // All variables declarations
Index: /extensions/event_cats/admin/template/autolog_new.tpl
===================================================================
--- /extensions/event_cats/admin/template/autolog_new.tpl	(revision 4420)
+++ /extensions/event_cats/admin/template/autolog_new.tpl	(revision 4421)
@@ -1,3 +1,5 @@
 {* <!-- Event Cats (event categories) LucMorizur June - ... 2009 --> *}
+
+{* <!-- Keeps file coded in UTF-8 without BOM : é --> *}
 
 {include file='../../../plugins/event_cats/admin/template/header.inc.tpl'}
Index: /extensions/event_cats/admin/template/config.js
===================================================================
--- /extensions/event_cats/admin/template/config.js	(revision 4420)
+++ /extensions/event_cats/admin/template/config.js	(revision 4421)
@@ -1,3 +1,5 @@
 /* Event Cats Javascript functions LucMorizur June - ... 2009 */
+
+// Keeps file coded in UTF-8 without BOM : é
 
 // All variables declarations
Index: /extensions/event_cats/admin/template/config.tpl
===================================================================
--- /extensions/event_cats/admin/template/config.tpl	(revision 4420)
+++ /extensions/event_cats/admin/template/config.tpl	(revision 4421)
@@ -1,3 +1,5 @@
 {* <!-- Event Cats (event categories) LucMorizur June - ... 2009 --> *}
+
+{* <!-- Keeps file coded in UTF-8 without BOM : é --> *}
 
 {include file='../../../plugins/event_cats/admin/template/header.inc.tpl'}
Index: /extensions/event_cats/admin/template/duplication.tpl
===================================================================
--- /extensions/event_cats/admin/template/duplication.tpl	(revision 4420)
+++ /extensions/event_cats/admin/template/duplication.tpl	(revision 4421)
@@ -1,3 +1,5 @@
 {* <!-- Event Cats (event categories) LucMorizur June - ... 2009 --> *}
+
+{* <!-- Keeps file coded in UTF-8 without BOM : é --> *}
 
 {include file='../../../plugins/event_cats/admin/template/header.inc.tpl'}
Index: /extensions/event_cats/admin/template/footer.inc.tpl
===================================================================
--- /extensions/event_cats/admin/template/footer.inc.tpl	(revision 4420)
+++ /extensions/event_cats/admin/template/footer.inc.tpl	(revision 4421)
@@ -1,3 +1,5 @@
 {* <!-- Event Cats (event categories) LucMorizur June - ... 2009 --> *}
+
+{* <!-- Keeps file coded in UTF-8 without BOM : é --> *}
 
 {* <!-- Common Event Cats admin pages footer --> *}
Index: /extensions/event_cats/admin/template/header.inc.tpl
===================================================================
--- /extensions/event_cats/admin/template/header.inc.tpl	(revision 4420)
+++ /extensions/event_cats/admin/template/header.inc.tpl	(revision 4421)
@@ -1,3 +1,5 @@
 {* <!-- Event Cats (event categories) LucMorizur June - ... 2009 --> *}
+
+{* <!-- Keeps file coded in UTF-8 without BOM : é --> *}
 
 {* <!-- Common Event Cats admin pages "header" --> *}
Index: /extensions/event_cats/include/ec_conf.inc.php
===================================================================
--- /extensions/event_cats/include/ec_conf.inc.php	(revision 4420)
+++ /extensions/event_cats/include/ec_conf.inc.php	(revision 4421)
@@ -22,4 +22,6 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+// Keeps file coded in UTF-8 without BOM : é
 
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
Index: /extensions/event_cats/include/evntcats_admin_funcs.inc.php
===================================================================
--- /extensions/event_cats/include/evntcats_admin_funcs.inc.php	(revision 4420)
+++ /extensions/event_cats/include/evntcats_admin_funcs.inc.php	(revision 4421)
@@ -22,4 +22,6 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+// Keeps file coded in UTF-8 without BOM : é
 
 // ***************************************************************************
Index: /extensions/event_cats/include/evntcats_main_funcs.inc.php
===================================================================
--- /extensions/event_cats/include/evntcats_main_funcs.inc.php	(revision 4420)
+++ /extensions/event_cats/include/evntcats_main_funcs.inc.php	(revision 4421)
@@ -22,4 +22,8 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+// Look out, do sit before reading that :
+// keeps file coded in UTF-8 without BOM in Notepad++ : é
+// !!!
 
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
Index: /extensions/event_cats/language/fr_FR/duplic.lang.php
===================================================================
--- /extensions/event_cats/language/fr_FR/duplic.lang.php	(revision 4420)
+++ /extensions/event_cats/language/fr_FR/duplic.lang.php	(revision 4421)
@@ -7,4 +7,6 @@
 */
 
+// Keeps file coded in UTF-8 without BOM : é
+
 $lang['Duplicate']                                 = 'Dupliquer';
 $lang['Create a new account with same properties'] = 'Créer un compte avec les mêmes propriétés';
Index: /extensions/event_cats/language/fr_FR/help.html
===================================================================
--- /extensions/event_cats/language/fr_FR/help.html	(revision 4420)
+++ /extensions/event_cats/language/fr_FR/help.html	(revision 4421)
@@ -1,2 +1,4 @@
+<!-- Keeps file coded in UTF-8 without BOM : é -->
+
 <h1>Event Cats</h1>
 
Index: /extensions/event_cats/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/event_cats/language/fr_FR/plugin.lang.php	(revision 4420)
+++ /extensions/event_cats/language/fr_FR/plugin.lang.php	(revision 4421)
@@ -6,4 +6,6 @@
 LucMorizur June - ... 2009
 */
+
+// Keeps file coded in UTF-8 without BOM : é
 
 // Convenient
Index: /extensions/event_cats/main.inc.php
===================================================================
--- /extensions/event_cats/main.inc.php	(revision 4420)
+++ /extensions/event_cats/main.inc.php	(revision 4421)
@@ -32,4 +32,6 @@
 // +-----------------------------------------------------------------------+
 
+// Keeps file coded in UTF-8 without BOM : é
+
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
Index: /extensions/event_cats/maintain.inc.php
===================================================================
--- /extensions/event_cats/maintain.inc.php	(revision 4420)
+++ /extensions/event_cats/maintain.inc.php	(revision 4421)
@@ -22,4 +22,6 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+
+// Keeps file coded in UTF-8 without BOM : é
 
 // ***********************************************************************