Index: extensions/event_cats/admin/autolog_entries.inc.php
===================================================================
--- extensions/event_cats/admin/autolog_entries.inc.php	(revision 4436)
+++ extensions/event_cats/admin/autolog_entries.inc.php	(revision 4437)
@@ -223,4 +223,5 @@
 }
 
+$template->assign('ec_help_banner1', l10n('ec_help_banner1_entries'));
 $template->assign('ec_ap_ok',  defined('ADD_PAGES_TABLE'));
 $template->assign('comment_tooltip', (read_ec_conf('comment_display') == '0'));
Index: extensions/event_cats/admin/autolog_new.inc.php
===================================================================
--- extensions/event_cats/admin/autolog_new.inc.php	(revision 4436)
+++ extensions/event_cats/admin/autolog_new.inc.php	(revision 4437)
@@ -89,4 +89,7 @@
 /****************************************************************************/
 
+$template->assign('ec_help_banner1', l10n('ec_help_banner1_new'));
+$template->assign('ec_help_banner2', l10n('ec_help_banner2_new'));
+
 $template->assign('ec_is_creation', (
   $ec_default_action == 'duplicate_entry_submit' or
Index: extensions/event_cats/admin/config.inc.php
===================================================================
--- extensions/event_cats/admin/config.inc.php	(revision 4436)
+++ extensions/event_cats/admin/config.inc.php	(revision 4437)
@@ -71,4 +71,5 @@
 foreach ($ec_conf_default as $k => $v) { $ec_conf2[$k] = $ec_conf[$i]; $i++; }
 $template->assign('ec_conf', $ec_conf2);
+$template->assign('ec_help_banner1', l10n('ec_help_banner1_config'));
 
 ?>
Index: extensions/event_cats/admin/duplication.inc.php
===================================================================
--- extensions/event_cats/admin/duplication.inc.php	(revision 4436)
+++ extensions/event_cats/admin/duplication.inc.php	(revision 4437)
@@ -72,4 +72,5 @@
 $ec_conf2['duplic_display'] = read_ec_conf('duplic_display');
 $template->assign('ec_conf', $ec_conf2);
+$template->assign('ec_help_banner1', l10n('ec_help_banner1_duplication'));
 
 ?>
Index: extensions/event_cats/admin/evntcats_admin.php
===================================================================
--- extensions/event_cats/admin/evntcats_admin.php	(revision 4436)
+++ extensions/event_cats/admin/evntcats_admin.php	(revision 4437)
@@ -76,4 +76,14 @@
 // If needed, stores in the DB that acknowledgement message has been displayed
 if ($ec_howto = (read_ec_conf('howto') == '0')) change_ec_conf('howto', '1');
+
+// If needed, stores in the DB whether help banner must be displayed or not
+if (isset($_POST['ec_help_banner_onoff2']))
+ $_POST['ec_help_banner_onoff'] = $_POST['ec_help_banner_onoff2'];
+if (isset($_POST['ec_help_banner2_onoff']))
+ $_POST['ec_help_banner_onoff'] = $_POST['ec_help_banner2_onoff'];
+if (
+  isset($_POST['ec_help_banner_onoff']) and
+  $_POST['ec_help_banner_onoff'] != read_ec_conf('in_help_display')
+) change_ec_conf('in_help_display', $_POST['ec_help_banner_onoff']);
 
 build_ec_lists(); // in evntcats_main_funcs.php
@@ -378,4 +388,6 @@
  ($ec_howto and (count($page['errors']) ==0 and count($page['infos']) == 0)));
 
+$template->assign('ec_help_banner_OK', (read_ec_conf('in_help_display') == '1'));
+
 $template->assign('EVNTCATS_PATH',EVNTCATS_PATH);
 $template->assign('RACINE_URL',ROOT_URL);
Index: extensions/event_cats/admin/template/autolog_entries.tpl
===================================================================
--- extensions/event_cats/admin/template/autolog_entries.tpl	(revision 4436)
+++ extensions/event_cats/admin/template/autolog_entries.tpl	(revision 4437)
@@ -5,6 +5,19 @@
 {include file='../../../plugins/event_cats/admin/template/header.inc.tpl'}
 
-{* <!-- Whether plugin Additionnal Pages is active or not --> *}
+{* <!-- Whether plugin Additionnal Pages is active or not, and help banner management --> *}
 <div style = "text-align:right; font-style:italic;">
+  <span id = "ec_help_banner2">
+    {'Help banner'|@translate}&nbsp;
+    <label for = "ec_help_banner2_1" onclick = "ec_mark_help('ec_help_banner_1');">
+      <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_1"/>
+      {'Banner on'|@translate}
+    </label>
+    &nbsp;
+    <label for = "ec_help_banner2_0" onclick = "ec_mark_help('ec_help_banner_0');">
+      <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_0"/>
+      {'Banner off'|@translate}
+    </label>
+    &nbsp;&#151;&nbsp;
+  </span>
   {if $ec_ap_ok}
     {'Additional Pages active'|@translate}
@@ -18,5 +31,8 @@
     </script>
   {/if}
-</div>
+</div><span id = "ec_help_ban"></span>
+<script type = "text/javascript"><!--
+  document.getElementById('ec_help_banner2').style.display = "none";
+//--></script>
 
 {* <!-- Form to view codes --> *}
Index: extensions/event_cats/admin/template/autolog_new.tpl
===================================================================
--- extensions/event_cats/admin/template/autolog_new.tpl	(revision 4436)
+++ extensions/event_cats/admin/template/autolog_new.tpl	(revision 4437)
@@ -5,6 +5,19 @@
 {include file='../../../plugins/event_cats/admin/template/header.inc.tpl'}
 
-{* <!-- Whether plugin Additionnal Pages is active or not --> *}
+{* <!-- Whether plugin Additionnal Pages is active or not, and help banner management --> *}
 <div style = "text-align:right; font-style:italic;">
+  <span id = "ec_help_banner2">
+    {'Help banner'|@translate}&nbsp;
+    <label for = "ec_help_banner2_1" onclick = "ec_mark_help('ec_help_banner_1');">
+      <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_1"/>
+      {'Banner on'|@translate}
+    </label>
+    &nbsp;
+    <label for = "ec_help_banner2_0" onclick = "ec_mark_help('ec_help_banner_0');">
+      <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_0"/>
+      {'Banner off'|@translate}
+    </label>
+    &nbsp;&#151;&nbsp;
+  </span>
   {if $ec_ap_ok}
     {'Additional Pages active'|@translate}
@@ -18,5 +31,8 @@
     </script>
   {/if}
-</div>
+</div><span id = "ec_help_ban"></span>
+<script type = "text/javascript"><!--
+  document.getElementById('ec_help_banner2').style.display = "none";
+//--></script>
 
 {* <!-- Parameters list --> *}
Index: extensions/event_cats/admin/template/config.tpl
===================================================================
--- extensions/event_cats/admin/template/config.tpl	(revision 4436)
+++ extensions/event_cats/admin/template/config.tpl	(revision 4437)
@@ -5,6 +5,19 @@
 {include file='../../../plugins/event_cats/admin/template/header.inc.tpl'}
 
-{* <!-- Whether plugin Additionnal Pages is active or not --> *}
+{* <!-- Whether plugin Additionnal Pages is active or not, and help banner management --> *}
 <div style = "text-align:right; font-style:italic;">
+  <span id = "ec_help_banner2">
+    {'Help banner'|@translate}&nbsp;
+    <label for = "ec_help_banner2_1" onclick = "ec_mark_help('ec_help_banner_1');">
+      <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_1"/>
+      {'Banner on'|@translate}
+    </label>
+    &nbsp;
+    <label for = "ec_help_banner2_0" onclick = "ec_mark_help('ec_help_banner_0');">
+      <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_0"/>
+      {'Banner off'|@translate}
+    </label>
+    &nbsp;&#151;&nbsp;
+  </span>
   {if $ec_ap_ok}
     {'Additional Pages active'|@translate}
@@ -18,5 +31,8 @@
     </script>
   {/if}
-</div>
+</div><span id = "ec_help_ban"></span>
+<script type = "text/javascript"><!--
+  document.getElementById('ec_help_banner2').style.display = "none";
+//--></script>
 
 <form action = "" method = "post" class = "titrePage" name = "ec_gen_conf" onsubmit = "return ec_check_submit();">
@@ -135,4 +151,23 @@
           {'In a row'|@translate}
         </label>
+      </td>
+      <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td> {* <!-- sorry :-\ --> *}
+      <td style = "text-align:right; font-weight:bold;">
+        {'Help banner'|@translate}&nbsp;&nbsp;
+      </td>
+      <td>
+        <label for = "ec_2help_banner_1_id">
+          <input type = "radio" name = "ec_help_banner_onoff2" value = "1" id = "ec_2help_banner_1_id"
+            onclick = "ec_mark_help('ec_help_banner_1');"
+          />
+          {'Banner on'|@translate}
+        </label><br />
+        <label for = "ec_2help_banner_0_id">
+          <input type = "radio" name = "ec_help_banner_onoff2" value = "0" id = "ec_2help_banner_0_id"
+            onclick = "ec_mark_help('ec_help_banner_0');"
+          />
+          {'Banner off'|@translate}
+        </label>
+      </td>
     <tr><td>&nbsp;</td><td>&nbsp;</td></tr>
   </table>
@@ -148,4 +183,5 @@
 <script type = "text/javascript" src = "{$RACINE_URL}{$EVNTCATS_PATH}admin/template/config.js"></script>
 <script type = "text/javascript"><!--
+  ec_help_in_config = true;
   ec_JS_message                                               = "{'ec_gen_user_act_miss'|@translate|@escape:javascript}";
   ec_selected_action                                          = "{$ec_conf.unknown_code}";
Index: extensions/event_cats/admin/template/duplication.tpl
===================================================================
--- extensions/event_cats/admin/template/duplication.tpl	(revision 4436)
+++ extensions/event_cats/admin/template/duplication.tpl	(revision 4437)
@@ -4,4 +4,21 @@
 
 {include file='../../../plugins/event_cats/admin/template/header.inc.tpl'}
+
+{* <!-- For help banner --> *}
+<div style = "text-align:right; font-style:italic;" id = "ec_help_banner2">
+  {'Help banner'|@translate}&nbsp;
+  <label for = "ec_help_banner2_1" onclick = "ec_mark_help('ec_help_banner_1');">
+    <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_1"/>
+    {'Banner on'|@translate}
+  </label>
+  &nbsp;
+  <label for = "ec_help_banner2_0" onclick = "ec_mark_help('ec_help_banner_0');">
+    <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_0"/>
+    {'Banner off'|@translate}
+  </label>
+</div><span id = "ec_help_ban" style = "display:none;"></span>
+<script type = "text/javascript"><!--
+  document.getElementById('ec_help_banner2').style.display = "none";
+//--></script>
 
 <!-- Aknowledgement ----------------------------------------------------------
Index: extensions/event_cats/admin/template/footer.inc.tpl
===================================================================
--- extensions/event_cats/admin/template/footer.inc.tpl	(revision 4436)
+++ extensions/event_cats/admin/template/footer.inc.tpl	(revision 4437)
@@ -4,4 +4,9 @@
 
 {* <!-- Common Event Cats admin pages footer --> *}
+
+{* <!-- For help banner --> *}
+<script type = "text/javascript"><!--
+  ec_mark_help('');
+//--></script>
 
 {* <!-- Debug displays --> *}
Index: extensions/event_cats/admin/template/header.inc.tpl
===================================================================
--- extensions/event_cats/admin/template/header.inc.tpl	(revision 4436)
+++ extensions/event_cats/admin/template/header.inc.tpl	(revision 4437)
@@ -27,2 +27,31 @@
   </p>
 {/if}
+
+{* <!-- Help banner --> *}
+<span id = "ec_help_banner0">
+  <hr width = 100% size = 1 />
+  <div style = "text-align:right; font-style:italic;">
+    {'Help banner'|@translate}&nbsp;
+    <label for = "ec_help_banner_1" onclick = "ec_mark_help('ec_help_banner_1');">
+      <input type = "radio" name = "ec_help_banner_onoff" value = "1" id = "ec_help_banner_1"/>
+      {'Banner on'|@translate}
+    </label>
+    &nbsp;
+    <label for = "ec_help_banner_0" onclick = "ec_mark_help('ec_help_banner_0');">
+      <input type = "radio" name = "ec_help_banner_onoff" value = "0" id = "ec_help_banner_0"/>
+      {'Banner off'|@translate}
+    </label>
+  </div>
+  <span id = "ec_help_banner1" style = "text-align:left; display:block;"></span>
+  <hr width = 100% size = 1 />
+</span>
+
+{* <!-- JavaScript functions --> *}
+<script type = "text/javascript" src = "{$RACINE_URL}{$EVNTCATS_PATH}admin/template/header.js"></script>
+<script type = "text/javascript"><!--
+  document.getElementById('ec_help_banner0').style.display = "none";
+  ec_help_banner_OK = {if $ec_help_banner_OK}true{else}false{/if};
+  ec_help_banner[1] = "{$ec_help_banner1}";
+  ec_help_banner[2] = "{$ec_help_banner2}";
+//--></script>
+
Index: extensions/event_cats/admin/template/header.js
===================================================================
--- extensions/event_cats/admin/template/header.js	(revision 4437)
+++ extensions/event_cats/admin/template/header.js	(revision 4437)
@@ -0,0 +1,37 @@
+/* Event Cats Javascript functions LucMorizur June - ... 2009 */
+
+// Keeps file coded in UTF-8 without BOM : é
+
+// All variables declarations
+// Once this entire file has been read, some JS code is executed, thus some
+// values below are modified during the HTML page "reading and displaying"
+var ec_help_banner_OK = false;
+var ec_help_banner_no = 1;
+var ec_help_banner    = new Array();
+var ec_help_in_config = false;
+
+
+function ec_mark_help(ec_id) {
+  if (ec_id != '')
+   ec_help_banner_OK = (ec_id == 'ec_help_banner_1');
+  if (ec_help_banner_OK) {
+    document.getElementById('ec_help_banner2').style.display = 'none';
+    document.getElementById('ec_help_banner1').innerHTML =
+     ec_help_banner[ec_help_banner_no];
+    document.getElementById('ec_help_ban').innerHTML = '';
+    document.getElementById('ec_help_banner_1').checked = 'checked';
+    document.getElementById('ec_help_banner2_1').checked = 'checked';
+    if (ec_help_in_config)
+     document.getElementById('ec_2help_banner_1_id').checked = 'checked';
+    document.getElementById('ec_help_banner0').style.display = '';
+  }
+  else {
+    document.getElementById('ec_help_banner0').style.display = 'none';
+    document.getElementById('ec_help_banner_0').checked = 'checked';
+    document.getElementById('ec_help_banner2_0').checked = 'checked';
+    if (ec_help_in_config)
+     document.getElementById('ec_2help_banner_0_id').checked = 'checked';
+    document.getElementById('ec_help_ban').innerHTML = '<br />';
+    document.getElementById('ec_help_banner2').style.display = '';
+  }
+}