Index: extensions/event_cats/admin/autolog_new.inc.php
===================================================================
--- extensions/event_cats/admin/autolog_new.inc.php	(revision 4439)
+++ extensions/event_cats/admin/autolog_new.inc.php	(revision 4440)
@@ -89,8 +89,5 @@
 /****************************************************************************/
 
-$template->assign('ec_help_banner1', l10n('ec_help_banner1_new'));
-$template->assign('ec_help_banner2', l10n('ec_help_banner2_new'));
-
-$template->assign('ec_is_creation', (
+$template->assign('ec_is_creation', $ec_is_creation = (
   $ec_default_action == 'duplicate_entry_submit' or
   $ec_default_action == 'duplicate_entry_ask' or
@@ -98,4 +95,13 @@
   $ec_default_action == 'create'
 ));
+
+if ($ec_is_creation) {
+  $template->assign('ec_help_banner1', l10n('ec_help_banner1_new_c'));
+  $template->assign('ec_help_banner2', l10n('ec_help_banner2_new_c'));
+}
+else {
+  $template->assign('ec_help_banner1', l10n('ec_help_banner1_new_m'));
+  $template->assign('ec_help_banner2', l10n('ec_help_banner2_new_m'));
+}
 
 $template->assign('ec_hidden_when_no_code',
Index: extensions/event_cats/admin/duplication.inc.php
===================================================================
--- extensions/event_cats/admin/duplication.inc.php	(revision 4439)
+++ extensions/event_cats/admin/duplication.inc.php	(revision 4440)
@@ -72,5 +72,5 @@
 $ec_conf2['duplic_display'] = read_ec_conf('duplic_display');
 $template->assign('ec_conf', $ec_conf2);
-$template->assign('ec_help_banner1', l10n('ec_help_banner1_duplication'));
+$template->assign('ec_help_banner1', l10n('ec_help_banner1_duplic'));
 
 ?>
Index: extensions/event_cats/admin/template/autolog_new.js
===================================================================
--- extensions/event_cats/admin/template/autolog_new.js	(revision 4439)
+++ extensions/event_cats/admin/template/autolog_new.js	(revision 4440)
@@ -732,4 +732,5 @@
       ec_default_action == 'duplicate_entry_submit'
     ) {                                             // Create entry from blank
+      ec_help_banner_no                           = 1;
       de('ec_in_up_usr_list_id').selectedIndex    = '-1';
       de('ec_in_up_code_list_id').selectedIndex   = '-1';
@@ -755,4 +756,5 @@
     }
     else {                                          // Duplicate entry
+      ec_help_banner_no                           = 2;
       de('ec_act1_id').value                      = 'duplicate_entry_submit';
       de('ec_submit_gen_full_auto_id').disabled   = 'disabled';
@@ -789,4 +791,5 @@
       ec_default_action == 'modify_entry_submit'
     ) {                                             // Modify entry
+      ec_help_banner_no                           = 1;
       de('ec_in_up_entry_list_id').disabled       = '';
       de('ec_sel_user_none').checked              = '';
@@ -812,4 +815,5 @@
     }
     else {                                          // Outdate entry
+      ec_help_banner_no                           = 2;
       ec_selected_user                            = 'ec_sel_user_none';
       de('ec_in_up_entry_list_id').disabled       = 'disabled';
@@ -836,4 +840,5 @@
     ec_default_action                             = 'modify_entry_ask';
   }
+  ec_mark_help('');
   return false;
 }
Index: extensions/event_cats/admin/template/autolog_new.tpl
===================================================================
--- extensions/event_cats/admin/template/autolog_new.tpl	(revision 4439)
+++ extensions/event_cats/admin/template/autolog_new.tpl	(revision 4440)
@@ -103,8 +103,8 @@
             />
             &nbsp;&#151;&nbsp;
-            <label for = "ec_in_up_comment_id" style = "margin:0;">
+            <label for = "ec_in_up_comment_id" style = "margin:0;" title = "{'Optional'|@translate}">
               <span style = "font-weight:bold;  font-style:italic;">{'Comment'|@translate}</span>
               <input type = "text" name = "ec_in_up_comment" maxlength = "100" size = "50" id = "ec_in_up_comment_id"
-                onchange = "ec_new_comment_text = this.value;" title = "{'Optional'|@translate}"
+                onchange = "ec_new_comment_text = this.value;"
               />
             </label>
@@ -146,8 +146,8 @@
           </select>
           &nbsp;&#151;&nbsp;
-            <label for = "ec_in_up_comment_id" style = "margin:0;">
+            <label for = "ec_in_up_comment_id" style = "margin:0;" title = "{'Optional'|@translate}">
               <span style = "font-weight:bold;  font-style:italic;">{'Comment'|@translate}</span>
               <input type = "text" name = "ec_in_up_comment" maxlength = "100" size = "50" id = "ec_in_up_comment_id"
-                onchange = "ec_new_comment_text = this.value;" title = "{'Optional'|@translate}"
+                onchange = "ec_new_comment_text = this.value;"
               />
             </label>
Index: extensions/event_cats/admin/template/header.inc.tpl
===================================================================
--- extensions/event_cats/admin/template/header.inc.tpl	(revision 4439)
+++ extensions/event_cats/admin/template/header.inc.tpl	(revision 4440)
@@ -24,6 +24,4 @@
   </div>
   <p>
-    <hr width = 75% size = 3 />
-  </p>
 {/if}
 
Index: extensions/event_cats/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/event_cats/language/fr_FR/plugin.lang.php	(revision 4439)
+++ extensions/event_cats/language/fr_FR/plugin.lang.php	(revision 4440)
@@ -19,5 +19,5 @@
 // "Header"
 $lang['Admin page title']          = 'Event Categories';
-$lang['Acknowledgement']           = 'Event Categories, pour catégories événementielles :<br />cette extension permet d\'identifier automatiquement un compte ("autolog"), et de dupliquer le compte sous lequel un visiteur est identifié ("duplication").<br /><br />Merci au Forum, plg, ddtddt, flipflip, VDigital, Gotcha, P@t pour le code principal :-) !';
+$lang['Acknowledgement']           = 'Event Categories, pour catégories événementielles :<br />cette extension permet d\'identifier automatiquement un compte ("autolog"), et de dupliquer le compte sous lequel un visiteur est identifié ("duplication").<br /><br />Merci au Forum, plg, ddtddt, flipflip, VDigital, Gotcha pour les tests, P@t pour le code principal :-) !';
 $lang['JS needed']                 = 'Javascript DOIT être activé sur votre navigateur pour un fonctionnement correct de cette page !';
 
@@ -203,5 +203,11 @@
 
 // Help banner
-$lang['ec_help_banner1_entries']   = 'Bientôt disponible ;-) !';
+$lang['ec_help_banner1_entries']   = 'Aide concernant liste des entrées';
+$lang['ec_help_banner1_new_c']     = 'Aide sur la création d\'entrée (en général)';
+$lang['ec_help_banner2_new_c']     = 'Aide sur la création d\'entrée (dans le cas d\'une recopie)';
+$lang['ec_help_banner1_new_m']     = 'Aide sur la modification d\'entrée (en général)';
+$lang['ec_help_banner2_new_m']     = 'Aide lors du passage d\'une entrée en périmée';
+$lang['ec_help_banner1_duplic']    = 'Aide sur la duplication';
+$lang['ec_help_banner1_config']    = 'Aide sur la configuration générale';
 
 unset($t_ap1, $t_ap2);