Index: /extensions/event_cats/admin/evntcats_admin.php
===================================================================
--- /extensions/event_cats/admin/evntcats_admin.php	(revision 4442)
+++ /extensions/event_cats/admin/evntcats_admin.php	(revision 4443)
@@ -78,12 +78,8 @@
 
 // If needed, stores in the DB whether help banner must be displayed or not
-if (isset($_POST['ec_help_banner_onoff2']))
- $_POST['ec_help_banner_onoff'] = $_POST['ec_help_banner_onoff2'];
-if (isset($_POST['ec_help_banner2_onoff']))
- $_POST['ec_help_banner_onoff'] = $_POST['ec_help_banner2_onoff'];
 if (
-  isset($_POST['ec_help_banner_onoff']) and
-  $_POST['ec_help_banner_onoff'] != read_ec_conf('in_help_display')
-) change_ec_conf('in_help_display', $_POST['ec_help_banner_onoff']);
+  isset($_POST['ec_help_banner_onoff2']) and
+  $_POST['ec_help_banner_onoff2'] != read_ec_conf('in_help_display')
+) change_ec_conf('in_help_display', $_POST['ec_help_banner_onoff2']);
 
 build_ec_lists(); // in evntcats_main_funcs.php
Index: /extensions/event_cats/admin/template/autolog_entries.tpl
===================================================================
--- /extensions/event_cats/admin/template/autolog_entries.tpl	(revision 4442)
+++ /extensions/event_cats/admin/template/autolog_entries.tpl	(revision 4443)
@@ -11,10 +11,10 @@
     <label for = "ec_help_banner2_1" onclick = "ec_mark_help('ec_help_banner_1');">
       <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_1"/>
-      {'Banner on'|@translate}
+      {'Show'|@translate}
     </label>
     &nbsp;
     <label for = "ec_help_banner2_0" onclick = "ec_mark_help('ec_help_banner_0');">
       <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_0"/>
-      {'Banner off'|@translate}
+      {'Hide'|@translate}
     </label>
     &nbsp;&#151;&nbsp;
Index: /extensions/event_cats/admin/template/autolog_new.tpl
===================================================================
--- /extensions/event_cats/admin/template/autolog_new.tpl	(revision 4442)
+++ /extensions/event_cats/admin/template/autolog_new.tpl	(revision 4443)
@@ -11,10 +11,10 @@
     <label for = "ec_help_banner2_1" onclick = "ec_mark_help('ec_help_banner_1');">
       <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_1"/>
-      {'Banner on'|@translate}
+      {'Show'|@translate}
     </label>
     &nbsp;
     <label for = "ec_help_banner2_0" onclick = "ec_mark_help('ec_help_banner_0');">
       <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_0"/>
-      {'Banner off'|@translate}
+      {'Hide'|@translate}
     </label>
     &nbsp;&#151;&nbsp;
Index: /extensions/event_cats/admin/template/config.tpl
===================================================================
--- /extensions/event_cats/admin/template/config.tpl	(revision 4442)
+++ /extensions/event_cats/admin/template/config.tpl	(revision 4443)
@@ -11,10 +11,10 @@
     <label for = "ec_help_banner2_1" onclick = "ec_mark_help('ec_help_banner_1');">
       <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_1"/>
-      {'Banner on'|@translate}
+      {'Show'|@translate}
     </label>
     &nbsp;
     <label for = "ec_help_banner2_0" onclick = "ec_mark_help('ec_help_banner_0');">
       <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_0"/>
-      {'Banner off'|@translate}
+      {'Hide'|@translate}
     </label>
     &nbsp;&#151;&nbsp;
Index: /extensions/event_cats/admin/template/duplication.tpl
===================================================================
--- /extensions/event_cats/admin/template/duplication.tpl	(revision 4442)
+++ /extensions/event_cats/admin/template/duplication.tpl	(revision 4443)
@@ -10,10 +10,10 @@
   <label for = "ec_help_banner2_1" onclick = "ec_mark_help('ec_help_banner_1');">
     <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_1"/>
-    {'Banner on'|@translate}
+    {'Show'|@translate}
   </label>
   &nbsp;
   <label for = "ec_help_banner2_0" onclick = "ec_mark_help('ec_help_banner_0');">
     <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_0"/>
-    {'Banner off'|@translate}
+    {'Hide'|@translate}
   </label>
 </div><span id = "ec_help_ban" style = "display:none;"></span>
Index: /extensions/event_cats/admin/template/header.inc.tpl
===================================================================
--- /extensions/event_cats/admin/template/header.inc.tpl	(revision 4442)
+++ /extensions/event_cats/admin/template/header.inc.tpl	(revision 4443)
@@ -33,10 +33,10 @@
     <label for = "ec_help_banner_1" onclick = "ec_mark_help('ec_help_banner_1');">
       <input type = "radio" name = "ec_help_banner_onoff" value = "1" id = "ec_help_banner_1"/>
-      {'Banner on'|@translate}
+      {'Show'|@translate}
     </label>
     &nbsp;
     <label for = "ec_help_banner_0" onclick = "ec_mark_help('ec_help_banner_0');">
       <input type = "radio" name = "ec_help_banner_onoff" value = "0" id = "ec_help_banner_0"/>
-      {'Banner off'|@translate}
+      {'Hide'|@translate}
     </label>
   </div>
Index: /extensions/event_cats/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/event_cats/language/fr_FR/plugin.lang.php	(revision 4442)
+++ /extensions/event_cats/language/fr_FR/plugin.lang.php	(revision 4443)
@@ -21,4 +21,6 @@
 $lang['Acknowledgement']           = 'Event Categories, pour catégories événementielles :<br />cette extension permet d\'identifier automatiquement un compte ("autolog"), et de dupliquer le compte sous lequel un visiteur est identifié ("duplication").<br /><br />Merci au Forum, plg, ddtddt, flipflip, VDigital, Gotcha pour les tests, P@t pour le code principal :-) !';
 $lang['JS needed']                 = 'Javascript DOIT être activé sur votre navigateur pour un fonctionnement correct de cette page !';
+$lang['Show']                      = 'montrer';
+$lang['Hide']                      = 'cacher';
 
 // Autolog page
@@ -108,4 +110,7 @@
 $lang['As tooltip']                = 'En info-bulle';
 $lang['In a row']                  = 'Dans une ligne';
+$lang['Help banner']               = 'Bandeau d\'aide';
+$lang['Banner on']                 = 'activé';
+$lang['Banner off']                = 'désactivé';
 
 // JS messages
@@ -129,9 +134,4 @@
 $lang['ec_new_pwd_gen']            = "Pensez à NOTER le mot de passe !";
 $lang['ec_act_cat_miss']           = "Catégorie ?";
-
-// Help banner
-$lang['Help banner']               = 'Bandeau d\'aide';
-$lang['Banner on']                 = 'activé';
-$lang['Banner off']                = 'désactivé';
 
 
@@ -204,10 +204,10 @@
 // Help banner
 $lang['ec_help_banner1_entries']   = '<img src = "plugins/event_cats/icon/disable.png" alt = "Icône rendre périmé" />&nbsp;<span style = "font-weight:bold;">Rendre l\'entrée périmée</span>&nbsp;: pour désactiver un code, mais en affichant un message personnalisé. <img src = "plugins/event_cats/icon/nforced.png" alt = "Icône forcer" />&nbsp;/ <img src = "plugins/event_cats/icon/forced.png" alt = "Icône ne plus forcer" />&nbsp;<span style = "font-weight:bold;">Forcer&nbsp;/ ne plus forcer</span>&nbsp;: pour empêcher ou pas les utilisateurs d\'essayer d\'atteindre d\'autres pages en modifiant l\'URL. <img src = "plugins/event_cats/icon/duplicate.png" alt = "Icône recopier" />&nbsp;<span style = "font-weight:bold;">Recopier</span>&nbsp;: pour créer une autre entrée qui utilise le même code, mais redirige vers une autre page. <img src = "plugins/event_cats/icon/url2.png" alt = "Icône tester" />&nbsp;<span style = "font-weight:bold;">Tester</span>&nbsp;: pour voir si ça marche ;-) . <img src = "plugins/event_cats/icon/delete.png" alt = "Icône supprimer" />&nbsp;<span style = "font-weight:bold;">Supprimer</span>&nbsp;: supprimer l\'entrée. <img src = "plugins/event_cats/icon/modify.png" alt = "Icône modifier" />&nbsp;<span style = "font-weight:bold;">Modifier</span>&nbsp;: modifier l\'entrée.';
-$lang['ec_help_banner1_new_c']   = 'Associez un <span style = "font-weight:bold; font-style:italic;">code</span> à un <span style = "font-weight:bold; font-style:italic;">utilisateur à identifier</span> et à une <span style = "font-weight:bold; font-style:italic;">page à afficher</span>&nbsp;; récupérez l\'URL ainsi construit dans l\'onglet "Entrées autolog" pour le transmettre aux intéressés. <span style = "font-weight:bold;">Générer un nom d\'utilisateur</span> et <span style = "font-weight:bold;">Tout automatique</span>&nbsp;: sélectionnez d\'abord une <span style = "font-weight:bold; font-style:italic;">page à afficher</span> car le nom d\'utilisateur est construit sur la base de cette page. <span style = "font-weight:bold;">Commentaire</span>&nbsp;: sans valeur, seulement pour votre gouverne. <span style = "font-weight:bold;">Code existant</span>&nbsp;: pour identifier le même compte, mais le rediriger vers une autre page. <span style = "font-weight:bold;">Page affichée forcée</span>&nbsp;: pour imposer l\'affichage d\'une page quels que soient les paramètres <span style = "font-weight:bold; font-style:italic;">&cat=</span>, <span style = "font-weight:bold; font-style:italic;">&img=</span>, <span style = "font-weight:bold; font-style:italic;">&ap=</span> présents dans l\'URL.';
-$lang['ec_help_banner2_new_c']     = 'Aide sur la création d\'entrée (dans le cas d\'une recopie)';
-$lang['ec_help_banner1_new_m']     = 'Aide sur la modification d\'entrée (en général)';
-$lang['ec_help_banner2_new_m']     = 'Aide lors du passage d\'une entrée en périmée';
-$lang['ec_help_banner1_duplic']    = 'Aide sur la duplication';
-$lang['ec_help_banner1_config']    = 'Aide sur la configuration générale';
+$lang['ec_help_banner1_new_c']   = 'Associez un <span style = "font-weight:bold; font-style:italic;">code</span> à un <span style = "font-weight:bold; font-style:italic;">utilisateur à identifier</span> et à une <span style = "font-weight:bold; font-style:italic;">page à afficher</span>&nbsp;; récupérez l\'URL ainsi construit dans l\'onglet "Entrées autolog" pour le transmettre aux intéressés. <span style = "font-weight:bold;">Générer un nom d\'utilisateur</span> et <span style = "font-weight:bold;">Tout automatique</span>&nbsp;: sélectionnez d\'abord une <span style = "font-weight:bold; font-style:italic;">page à afficher</span> car le nom d\'utilisateur est construit sur la base de cette page. <span style = "font-weight:bold;">Commentaire</span>&nbsp;: pas utilisé par le plugin, seulement pour votre gouverne. <span style = "font-weight:bold;">Code existant</span>&nbsp;: pour identifier le même compte, mais le rediriger vers une autre page. <span style = "font-weight:bold;">Page affichée forcée</span>&nbsp;: pour imposer l\'affichage d\'une page quels que soient les paramètres <span style = "font-weight:bold; font-style:italic;">&cat=</span>, <span style = "font-weight:bold; font-style:italic;">&img=</span>, <span style = "font-weight:bold; font-style:italic;">&ap=</span> présents dans l\'URL.';
+$lang['ec_help_banner2_new_c']     = 'Si vous avez un autre événement (donc une catégorie différente) à présenter à un même groupe de personnes, vous pouvez leur fournir le même <span style = "font-weight:bold; font-style:italic;">code</span> (toujours associé au même <span style = "font-weight:bold; font-style:italic;">utilisateur à identifier</span>), et les rediriger vers une <span style = "font-weight:bold; font-style:italic;">page à afficher</span> différente. <span style = "font-weight:bold;">Annuler</span> pour revenir à une création "normale" de code.';
+$lang['ec_help_banner1_new_m']     = 'Sélectionnez un <span style = "font-weight:bold; font-style:italic;">code</span> pour en changer l\'<span style = "font-weight:bold; font-style:italic;">utilisateur à identifier</span> et/ou la <span style = "font-weight:bold; font-style:italic;">page à afficher</span>. Si le code est utilisé dans d\'autres entrées, celles-ci seront supprimées si vous <span style = "font-weight:bold;">forcez</span> l\'affichage ou si vous changez d\'utilisateur. Choisir <span style = "font-weight:bold;">aucun utilisateur</span>, ou <span style = "font-weight:bold;">accès refusé</span> comme page à afficher, rend l\'entrée sélectionnée "périmée" : pas d\'utilisateur identifié, mais possibilité d\'afficher une page personnalisée pour donner une explication. Pour <span style = "font-weight:bold;">générer un nom d\'utilisateur</span>, sélectionnez d\'abord la <span style = "font-weight:bold; font-style:italic;">page à afficher</span> car le nom d\'utilisateur est construit sur la base de cette page.';
+$lang['ec_help_banner2_new_m']     = 'Identifier un compte sans demander de mot de passse est peu sûr par nature, aussi il est imprudent de laisser un code "autolog" actif trop longtemps, il peut être utilisés de façon non voulue. Rendre une entrée périmée permet d\'afficher un message explicatif à l\'aide d\'une page Additionnal Page. Vous avez aussi le plugin <a href  = "http://piwigo.org/ext/extension_view.php?eid=190" title  = "Ouvrir une nouvelle fenêtre sur le plugin PWG Stuffs" onClick = "window.open(this.href); return false;">PWG Stuffs</a> qui permet d\'afficher des messages dans les pages de catégorie et d\'image. <span style = "font-weight:bold;">Annuler</span> pour revenir à une modification "normale" de code.';
+$lang['ec_help_banner1_duplic']    = '<span style = "font-style:italic;">Dupliquer un compte</span> alors qu\'on est déjà identifié, crée un autre compte avec exactement les mêmes accès, immédiatement : pas besoin d\'attendre la validation d\'un administrateur. Sélectionnez les <span style = "font-weight:bold; font-style:italic;">groupes</span>, <span style = "font-weight:bold; font-style:italic;">types</span>, et/ou directement les <span style = "font-weight:bold; font-style:italic;">utilisateurs</span> qui pourront dupliquer leur compte. Affichez "<span style = "font-weight:bold;">S\'enregistrer</span>" pour les comptes génériques afin que la duplication leur soit transparente.';
+$lang['ec_help_banner1_config']    = '<span style = "font-style:italic;">Dupliquer un compte</span> alors qu\'on est déjà identifié, crée un autre compte avec exactement les mêmes accès, immédiatement : pas besoin d\'attendre la validation d\'un administrateur.&nbsp;&#151; Sélectionnez la page que vous voulez afficher lors de l\'utilisation d\'un code "autolog" inexistant (par exemple, que vous aurez supprimé).&nbsp;&#151; Dans l\'onglet "entrées", les commentaires peuvent être affichés en info-bulle ou en-dessous du code.&nbsp;&#151; Puisque vous êtes en train de le lire, le bandeau d\'aide est actuellement actif ;-) !';
 
 unset($t_ap1, $t_ap2);
Index: /extensions/event_cats/main.inc.php
===================================================================
--- /extensions/event_cats/main.inc.php	(revision 4442)
+++ /extensions/event_cats/main.inc.php	(revision 4443)
@@ -44,5 +44,6 @@
 define( // -------------------------------------------------------------------
   'EVNTCATS_INFO_VERSION', // VERSION HISTORY :
-   '1.1.2'   // Better help banner example : some examples
+   '1.1.3'   // Better help banner management ; finalize banner texts
+// '1.1.2'   // Better help banner example : some examples
 // '1.1.1'   // Better help banner example ; but still no text in it
 // '1.1.0'   // First bugs (1305 and 1306) corrected ;