Index: extensions/Juza/js/juzascript.js
===================================================================
--- extensions/Juza/js/juzascript.js	(revision 4447)
+++ extensions/Juza/js/juzascript.js	(revision 4453)
@@ -8,8 +8,10 @@
   $("ul.categoryActions li a[href*='category/'][href*='/flat']").each(function() {
     /* $('ul.categoryActions').css('display','inline'); */
-    $('div.titrePage h2').prepend('<a class="jQuery home" href="index.php" title="Home">Albums</a>');
-    $('#copyright').before('<div id="jquery_local_img"></div>');
+    /* $('div.titrePage h2').prepend('<a class="jQuery home" href="index.php" title="Home">Albums</a>'); */
   }); 
-
+	$('#copyright').before('<div id="jquery_local_img"></div>');
+  $temp = $('#content .navigationBar').html();
+	$('#content .navigationBar').css('display','none'); 
+	$('div.titrePage h2').after($temp); 
   $('span.wrap2 a img').click(function() {
     $scr = $(this).attr('src').replace('thumbnail/TN-', '');
@@ -17,8 +19,8 @@
     $title = $(this).attr('title');
     $alt = $(this).attr('alt');
-    $(this).parent('a').attr('href', '#jquery_local_img');
+    $(this).parent('a').attr('href', '#content');
     $temp = $href.substr($href.indexOf('/')+1);
     $temp = $temp.substr(0,$temp.indexOf('/'));
-    $('#jquery_local_img').replaceWith('<div id="jquery_local_img"><img usemap="#picturetop" title="'+$title+'" alt="'+$alt+'" src="'+$scr+'"/><map name="picturetop"><area href="#" coords="0,0,800,300" shape="rect" title="Index"/><area href="'+$href+'" coords="0,300,800,600" shape="rect" title="'+$title+'"/></map><br/>'+$temp+' / - Blahblahblah - Canon Model, or Nikon Model - Speed, iso, keywords... '+ $title +' - <a href="#"><em>Index</em></a></div>');
+    $('#jquery_local_img').fadeOut("slow").replaceWith('<div id="jquery_local_img"><img usemap="#picturetop" title="'+$title+'" alt="'+$alt+'" src="'+$scr+'"/><map name="picturetop"><area href="#" coords="0,0,800,300" shape="rect" title="Index"/><area href="'+$href+'" coords="0,300,800,600" shape="rect" title="'+$title+'"/></map><br/>'+$temp+' / - Blahblahblah - Canon Model, or Nikon Model - Speed, iso, keywords... '+ $title +' - <a href="#"><em>Index</em></a></div>').fadeIn("slow");
   });
 
Index: extensions/Juza/script.tpl
===================================================================
--- extensions/Juza/script.tpl	(revision 4447)
+++ extensions/Juza/script.tpl	(revision 4453)
@@ -7,6 +7,6 @@
 <td style="width: 155px;">HOME PAGE</td>
 <td style="width: 155px;">PORTFOLIO</td>
-<td style="width: 155px;"><a href="{$ROOT_URL}"><strong>GALLERIES</strong></a></td>
-<td style="width: 155px;"><a title="See available tags" href="tags.php"><strong>TAGS</strong></a></td>
+<td style="width: 155px;"><a href="{$ROOT_URL}index.php"><strong>GALLERIES</strong></a></td>
+<td style="width: 155px;"><a title="See available tags" href="{$ROOT_URL}tags.php"><strong>TAGS</strong></a></td>
 <td style="width: 155px;">ABOUT JUZA</td>
 <td style="width: 155px;">E-MAIL</td>
Index: extensions/Juza/theme.css
===================================================================
--- extensions/Juza/theme.css	(revision 4447)
+++ extensions/Juza/theme.css	(revision 4453)
@@ -11,5 +11,5 @@
 body, h1, h2, h3, dt, #menubar dt, .throw, INPUT.rateButtonSelected {color:#ddffdd;}
 #content .pageNumberSelected {color: #52ff97; color: #72ffb7;}
-.juzabar { margin-top: 12pt; font-size: 10pt; width: 100%; background-color: #353735 !important; text-align: center; }
+.juzabar { margin: 12pt 0 6pt; font-size: 10pt; width: 100%; background-color: #353735 !important; text-align: center; }
 
 a { color: #FB9700 !important }
@@ -41,5 +41,5 @@
 .content ul.thumbnails span.wrap2 { -moz-border-radius: 0; border-radius: 0; }
 .content ul.thumbnails span.wrap2 img.thumbnail { margin:auto; border: 1px solid #111; }
-#jquery_local_img { text-align: center; margin-top: 1050px; min-height: 1200px; height: 1200px; }
+#jquery_local_img { text-align: center; margin-top: 5px; min-height: 1200px; height: 1200px; }
 
 #menubar dl {border:0 !important;}
@@ -47,5 +47,5 @@
 #mbMenu #quicksearch input#qsearchInput {color:#29774a;}
 body #the_page #menubar #mbCategories dt img.button {display:none !important;}
-#menubar { display: none; }
+#menubar, table.infoTable { display: none; }
 
 #copyright { margin-top: 200px; }