Index: extensions/NBC_UserAdvManager/trunk/changelog.txt.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/changelog.txt.php	(revision 4432)
+++ extensions/NBC_UserAdvManager/trunk/changelog.txt.php	(revision 4458)
@@ -117,4 +117,6 @@
 -- 2.13.2 : Bug 1308 fixed - Reminder emails have the good translated subject.
 
+-- 2.13.3 : Bug 1309 fixed - Forbidden characters in login name work fine again.
+
 */
 ?>
Index: extensions/NBC_UserAdvManager/trunk/include/functions_UserAdvManager.inc.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/include/functions_UserAdvManager.inc.php	(revision 4432)
+++ extensions/NBC_UserAdvManager/trunk/include/functions_UserAdvManager.inc.php	(revision 4458)
@@ -695,5 +695,5 @@
   if (isset($login) and isset($conf_nbc_UserAdvManager[8]) and $conf_nbc_UserAdvManager[8] <> '')
   {
-    $conf_nbc_CharExclusion = preg_split("/[\s,]+/",$conf_nbc_UserAdvManager[8]);
+    $conf_nbc_CharExclusion = preg_split("/,/",$conf_nbc_UserAdvManager[8]);
     for ($i = 0 ; $i < count($conf_nbc_CharExclusion) ; $i++)
     {
@@ -1026,5 +1026,5 @@
   }
 
-  // Calcul du coefficient points/longueur - calculating the coefficient points / length
+  // Calcul du coefficient points/longueur - calculating the coefficient points/length
   $step1 = $points / $length;
 
Index: extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 4432)
+++ extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 4458)
@@ -15,5 +15,4 @@
 $lang['UserAdvManager_No_Casse_false'] = ' Lassen Sie den Benutzer Groß-und Kleinschreibung. (Standard)';
 $lang['UserAdvManager_Username_Char'] = ' Limited Zeichen für den Benutzernamen';
-$lang['UserAdvManager_Username_Char_true'] = ' Die folgenden Zeichen werden für den Benutzernamen Wahl verboten werden';
 $lang['UserAdvManager_Username_Char_false'] = ' Verwenden Sie die Standard-Benutzernamen Zeichen Kontrolle. (Standard)';
 $lang['UserAdvManager_Confirm_Mail'] = 'E-Mail-Adresse Bestätigung:';
@@ -244,3 +243,7 @@
 $lang['Title_Tab2'] = 'UserAdvManager 2.13.1 - Registrieren Validierung Einstellungen';
 // --------- End: New or revised $lang ---- from version 2.13.1
+// --------- Starting below: New or revised $lang ---- from version 2.13.3
+/* Global Configuration Tab */
+$lang['UserAdvManager_Username_Char_true'] = ' Die folgenden Zeichen <b style="color: green;">(getrennte Werte durch Kommas ","!)</b> werden für den Benutzernamen Wahl verboten werden == ';
+// --------- End: New or revised $lang ---- from version 2.13.3
 ?>
Index: extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 4432)
+++ extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 4458)
@@ -15,5 +15,4 @@
 $lang['UserAdvManager_No_Casse_false'] = ' Let the user case sensitive. (default)';
 $lang['UserAdvManager_Username_Char'] = ' Limited charset for username';
-$lang['UserAdvManager_Username_Char_true'] = ' The following characters will be forbidden for username choice';
 $lang['UserAdvManager_Username_Char_false'] = ' Use the default username charset control. (default)';
 $lang['UserAdvManager_Confirm_Mail'] = 'Email address confirmation:';
@@ -244,3 +243,7 @@
 $lang['Title_Tab2'] = 'UserAdvManager 2.13.1 - Register validation settings';
 // --------- End: New or revised $lang ---- from version 2.13.1
+// --------- Starting below: New or revised $lang ---- from version 2.13.3
+/* Global Configuration Tab */
+$lang['UserAdvManager_Username_Char_true'] = ' The following characters <b style="color: green;">(separate values with commas ","!)</b> will be forbidden for username choice == ';
+// --------- End: New or revised $lang ---- from version 2.13.3
 ?>
Index: extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 4432)
+++ extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 4458)
@@ -15,5 +15,4 @@
 $lang['UserAdvManager_No_Casse_false'] = ' Que el caso confidencial del usuario. (por defecto)';
 $lang['UserAdvManager_Username_Char'] = ' Carácter limitado previsto para nombre de usuario';
-$lang['UserAdvManager_Username_Char_true'] = ' Los siguientes caracteres serán prohibidos para la elección del nombre de usuario';
 $lang['UserAdvManager_Username_Char_false'] = ' Utilice el nombre de usuario por defecto fijado carácter de control. (por defecto)';
 $lang['UserAdvManager_Confirm_Mail'] = 'Confirmación de correo electrónico:';
@@ -244,3 +243,8 @@
 $lang['Title_Tab2'] = 'UserAdvManager 2.13.1 - Configuración de validación de registro';
 // --------- End: New or revised $lang ---- from version 2.13.1
+// --------- Starting below: New or revised $lang ---- from version 2.13.3
+/* Global Configuration Tab */
+$lang['UserAdvManager_Username_Char_true'] = ' Los siguientes caracteres <b style="color: green;">(valores separados con comas ","!)</b> serán prohibidos para la elección del nombre de usuario == ';
+// --------- End: New or revised $lang ---- from version 2.13.3
+
 ?>
Index: extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 4432)
+++ extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 4458)
@@ -15,5 +15,4 @@
 $lang['UserAdvManager_No_Casse_false'] = ' Laisser les utilisateur sensible à la casse. (valeur par défaut)';
 $lang['UserAdvManager_Username_Char'] = ' Caractères limités pour le nom d\'utilisateur';
-$lang['UserAdvManager_Username_Char_true'] = ' Interdire les caractères saisis dans le champs ci-après pour le nom d\'utilisateur lors de l\'inscription == ';
 $lang['UserAdvManager_Username_Char_false'] = ' Laisser le contrôle par défaut du nom d\'utilisateur. (valeur par défaut)';
 $lang['UserAdvManager_Confirm_Mail'] = 'Confirmation de l\'adresse email :';
@@ -244,3 +243,7 @@
 $lang['Title_Tab2'] = 'UserAdvManager 2.13.1 - Configuration de la validation des inscriptions';
 // --------- End: New or revised $lang ---- from version 2.13.1
+// --------- Starting below: New or revised $lang ---- from version 2.13.3
+/* Global Configuration Tab */
+$lang['UserAdvManager_Username_Char_true'] = ' Interdire les caractères saisis dans le champs ci-après <b style="color: green;">(séparez les valeurs par des virgules "," !)</b> pour le nom d\'utilisateur lors de l\'inscription == ';
+// --------- End: New or revised $lang ---- from version 2.13.1
 ?>
Index: extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 4432)
+++ extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 4458)
@@ -15,5 +15,4 @@
 $lang['UserAdvManager_No_Casse_false'] = ' Lasciare che il caso degli utenti sensibili. (default)';
 $lang['UserAdvManager_Username_Char'] = ' Limitate di caratteri per nome utente';
-$lang['UserAdvManager_Username_Char_true'] = ' I seguenti caratteri sarà proibito per la scelta username';
 $lang['UserAdvManager_Username_Char_false'] = ' Utilizzare il nome utente predefinito caratteri di controllo. (default)';
 $lang['UserAdvManager_Confirm_Mail'] = 'Conferma indirizzo e-mail:';
@@ -257,3 +256,7 @@
 $lang['Title_Tab2'] = 'UserAdvManager 2.13.1 - Registrati impostazioni di convalida';
 // --------- End: New or revised $lang ---- from version 2.13.1
+// --------- Starting below: New or revised $lang ---- from version 2.13.3
+/* Global Configuration Tab */
+$lang['UserAdvManager_Username_Char_true'] = ' I seguenti caratteri <b style="color: green;">(valori separati con virgole ","!)</b> sarà proibito per la scelta username == ';
+// --------- End: New or revised $lang ---- from version 2.13.3
 ?>
Index: extensions/NBC_UserAdvManager/trunk/main.inc.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/main.inc.php	(revision 4432)
+++ extensions/NBC_UserAdvManager/trunk/main.inc.php	(revision 4458)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: NBC UserAdvManager
-Version: 2.13.2
+Version: 2.13.3
 Description: Renforcer les possibilités de gestion des utilisateurs - Enforce users management
 Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=216